Skip to main content
`Ctrl`+`K`

# MatMumpsGetIcntl

Get MUMPS parameter ICNTL() https://mumps-solver.org/index.php?page=doc

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsGetIcntl(Mat F, PetscInt icntl, PetscInt *ival)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` with a `MatSolverType` of `MATSOLVERMUMPS` and a `MatFactorType` of `MAT_FACTOR_LU` or `MAT_FACTOR_CHOLESKY`

- icntl - index of MUMPS parameter array ICNTL()

## Output Parameter

- ival - value of MUMPS ICNTL(icntl)

## See Also

Matrices, `Mat`, `MatGetFactor()`, `MatMumpsSetIcntl()`, `MatMumpsSetCntl()`, `MatMumpsGetCntl()`, `MatMumpsGetInfo()`, `MatMumpsGetInfog()`, `MatMumpsGetRinfo()`, `MatMumpsGetRinfog()`

## Level

beginner

## Location

src/mat/impls/aij/mpi/mumps/mumps.c

## Examples

src/ksp/ksp/tutorials/ex52.c

## Implementations

MatMumpsGetIcntl_MUMPS() in src/mat/impls/aij/mpi/mumps/mumps.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages